# Contributing
---
If you have good comments or suggestions, welcome to create [Issues](https://github.com/Tencent/spring-cloud-tencent/issues) or [Pull Requests](https://github.com/Tencent/spring-cloud-tencent/pulls)，contribute to the Spring Cloud Tencent open source community. Spring Cloud Tencent continues to recruit contributors, even if it is answering questions in the issue, or doing some simple bugfixes, it will be of great help to Spring Cloud Tencent.

[Tencent Open Source Incentive Program](https://opensource.tencent.com/contribution) Encourage developers to participate and contribute, and look forward to your joining.

## Issue
#### For contributors

Please ensure that the following conditions are met before submitting an issue:

* Must be a bug or new feature
* Have searched in the issue, and did not find a similar issue or solution
* When creating a new issue, please provide a detailed description, screenshot or short video to help us locate the problem

## Pull Request
We welcome everyone to contribute code to make our product more powerful. The code team will monitor all pull requests, and we will do the corresponding code inspection and testing. After the test passes, we will accept the PR, but will not immediately merge into the master branch.

Please confirm before completing a PR:

1. Fork your own branch from the master branch.
2. Please modify the corresponding documents and comments after modifying the code.
3. Please add License and Copyright declarations in the newly created file.
4. Ensure a consistent code style.
5. Do adequate testing.
6. Add this pull request info to [CHANGELOG](./CHANGELOG.md).
7. Then, you can submit your code to the dev branch.
